# Query action audit log entries

Queries the action audit log for entries that match the specified filter and paging parameters. The maximum allowed value for the `take` parameter is 100.

Endpoint: GET /api/audit/action/query/{entityId}
Version: v1.0
Security: OAuth2

## Security:

  - `OAuth2` (unknown)
    oauth2

## Path parameters:

  - `entityId` (integer)
    The identifier of the entity to filter audit records.

## Query parameters:

  - `ActionType` (string)
    The type of action performed.

  - `ActionPhase` (string)
    The phase of the action.

  - `TargetName` (string)
    The name of the target entity.

  - `ExecutionType` (string)
    The execution type of the action.

  - `ExecutionSource` (string)
    The source of the execution.

  - `ExecutionTime` (integer)
    The time taken for execution, in milliseconds.

  - `MessageId` (integer)
    The identifier of the message.

  - `RetryCount` (integer)
    The number of retries attempted.

  - `Success` (boolean)
    Whether the action was successful.

  - `Id` (string)
    The unique identifier of the audit entry.

  - `EventType` (string)
    The type of event to filter audit entries.

  - `Severity` (string)
    The severity level to filter audit entries.

  - `TargetId` (integer)
    The target entity identifier related to the audit entry.

  - `TargetIdentifier` (string)
    The string identifier of the target entity.

  - `Timestamp` (string)
    The timestamp to filter audit entries.

  - `UserId` (integer)
    The user identifier associated with the audit entry.

  - `ScrollId` (string)
    The ID of the scroll session to get the next results for.

  - `ScrollTime` (string)
    The time to keep the scroll session active.

  - `FullText` (string)
    The full-text search term to filter audit records.

  - `Raw` (string)
    The raw query string for advanced filtering.

  - `EntityId` (integer)
    The identifier of the entity to filter audit records.

  - `From` (string)
    The start date of the range filter.

  - `To` (string)
    The end date of the range filter.

  - `Skip` (integer)
    The number of items to skip for pagination. Null if negative.

  - `Take` (integer)
    The number of items to take for pagination. Null if negative.

  - `Sort` (string)
    The field name to sort by.

  - `Order` (string)
    The sort order (ascending or descending).

  - `Ascending` (boolean)
    Whether the sort order is ascending.

  - `Range.Begin` (string)

  - `Range.End` (string)

## Response 200:

  - `200` (unknown)
    Successful operation

## Response 200 fields (application/json):

  - `items` (array)
    Gets or sets the list of items.

  - `items.action_type` (string)
    Represents the types of actions that can be audited. IMPORTANT: Do not change the number of existing entries because this will break compatibility with older versions.
    Enum: "ApiCall", "ActionScript", "AzureEventHub", "ReportingChannel", "PrintEntityGeneration", "StartBpmAutomation", "StartSmAutomation", "AzureServiceBus", "MAzureServiceBus"

  - `items.action_phase` (string)
    Represents the different phases of an action within the system. IMPORTANT: Do not change the number of existing entries because this will break compatibility with older versions.
    Enum: "Post", "Pre", "Security", "Validation", "Audit"

  - `items.execution_type` (string)
    Specifies the type of execution for an action.
    Enum: "OutOfProcess", "InProcess"

  - `items.execution_source` (string)
    Specifies the source from which an execution originates.
    Enum: "Unknown", "Trigger", "ExternalAction", "Command", "WebApi", "MassEdit", "BPM"

  - `items.execution_time` (integer)

  - `items.error_message` (string)

  - `items.target_name` (string)

  - `items.message_id` (integer)

  - `items.retry_count` (integer)

  - `items.success` (boolean)

  - `items.entity_id` (integer)

  - `items.input` (object)

  - `items.output` (object)

  - `items.id` (string)

  - `items.audit_type` (string)
    Represents the type of audit event. IMPORTANT: Do not change the number of existing entries or their order because this will break compatibility with older versions.
    Enum: "Trigger", "Action", "Scripting", "Business", "Raw", "Edge", "PublicLink", "RawOperational", "DataPackageExport", "DataPackageImport"

  - `items.event_type` (string)
    Represents the type of audit event. IMPORTANT: Do not change the number of existing entries because this will break compatibility with older versions.
    Enum: "Created", "Updated", "Deleted", "Enabled", "Disabled", "Executed", "PackageExported", "PackageImported"

  - `items.severity` (string)
    Represents the severity level for audit events. IMPORTANT: Do not change the number of existing entries. Doing so will break compatibility with older versions.
    Enum: "Debug", "Warning", "Info", "Error", "Fatal"

  - `items.target_definition` (string)

  - `items.target_id` (integer)

  - `items.target_identifier` (string)

  - `items.timestamp` (string)

  - `items.user_id` (integer)

  - `items.self` (object)
    Represents a link to a resource.

  - `items.self.href` (string)
    Gets or sets the URI that points to the resource this link refers to.

  - `items.self.filename_properties` (array)
    Gets or sets the URI that points to the resource this link refers to.

  - `items.self.title` (string)
    Gets or sets the title that describes this link.

  - `items.self.templated` (boolean)
    Gets or sets a value indicating whether the contained URI is a template.

  - `total_items` (integer)
    Gets or sets the total number of items.

  - `returned_items` (integer)
    Gets or sets the number of returned items.

  - `offset` (integer)
    Gets or sets the offset of the items.

  - `identifier` (string)
    Gets or sets the identifier of the resource.

## Response 400:

  - `400` (unknown)
    Invalid request

## Response 401:

  - `401` (unknown)
    Unauthorized request

